libstdc++: __gnu_cxx::throw_value_base< _Cond > Struct Template Reference

libstdc++

__gnu_cxx::throw_value_base< _Cond > Struct Template Reference

`#include <throw_allocator.h>`

## Public Types
typedef _Cond | condition_type

## Public Member Functions
| throw_value_base (const std::size_t __i)
| throw_value_base (const throw_value_base &__v)
| throw_value_base (throw_value_base &&)=default
throw_value_base & | operator++ ()
throw_value_base & | operator= (const throw_value_base &__v)
throw_value_base & | operator= (throw_value_base &&)=default

## Public Attributes
std::size_t | _M_i

## Detailed Description

template<typename _Cond>
struct __gnu_cxx::throw_value_base< _Cond >

Class with exception generation control. Intended to be used as a value_type in templatized code.

Note: Destructor not allowed to throw.

Definition at line 624 of file throw_allocator.h.

## Member Typedef Documentation

## ◆ condition_type

template<typename _Cond>

typedef _Cond __gnu_cxx::throw_value_base< _Cond >::condition_type

Definition at line 626 of file throw_allocator.h.

## Constructor & Destructor Documentation

## ◆ throw_value_base() [1/3]

template<typename _Cond>

__gnu_cxx::throw_value_base< _Cond >::throw_value_base | ( |  | ) |
| inline

Definition at line 633 of file throw_allocator.h.

## ◆ throw_value_base() [2/3]

template<typename _Cond>

__gnu_cxx::throw_value_base< _Cond >::throw_value_base | ( | const throw_value_base< _Cond > & | __v | ) |
| inline

Definition at line 636 of file throw_allocator.h.

## ◆ throw_value_base() [3/3]

template<typename _Cond>

__gnu_cxx::throw_value_base< _Cond >::throw_value_base | ( | const std::size_t | __i | ) |
| inlineexplicit

Definition at line 644 of file throw_allocator.h.

## Member Function Documentation

## ◆ operator++()

template<typename _Cond>

throw_value_base & __gnu_cxx::throw_value_base< _Cond >::operator++ | ( |  | ) |
| inline

Definition at line 663 of file throw_allocator.h.

## ◆ operator=()

template<typename _Cond>

throw_value_base & __gnu_cxx::throw_value_base< _Cond >::operator= | ( | const throw_value_base< _Cond > & | __v | ) |
| inline

Definition at line 649 of file throw_allocator.h.

## Member Data Documentation

## ◆ _M_i

template<typename _Cond>

std::size_t __gnu_cxx::throw_value_base< _Cond >::_M_i

Definition at line 630 of file throw_allocator.h.

The documentation for this struct was generated from the following file:

- throw_allocator.h